"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MachineImageRepository = void 0;
const node_util_1 = require("node:util");
const http_client_1 = require("@jfrog-pipelines/http-client");
const utility_1 = require("@jfrog-pipelines/utility");
const logger_1 = require("@jfrog-pipelines/logger");
class MachineImageRepository {
    constructor() {
        this.logger = logger_1.LoggerFactory.getLogger('MachineImageRepository');
        this.httpClient = new http_client_1.HttpClient(`${utility_1.MACHINE_IMAGE_BASE_URL}artifactory/pipelines/`);
    }
    async getBuildPlaneImages() {
        const path = 'imagebuilds/base-images/buildplaneImages-[RELEASE].json';
        let response = [];
        try {
            response = await this.httpClient.get(path);
        }
        catch (error) {
            this.logger.error(`(getBuildPlaneImages) Unable to get: ${(0, node_util_1.inspect)(error)}`);
        }
        return response;
    }
}
exports.MachineImageRepository = MachineImageRepository;
//# sourceMappingURL=MachineImageRepository.js.map