"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_client_1 = require("@jfrog-pipelines/http-client");
const MachineImageRepository_1 = require("../MachineImageRepository");
jest.mock('@jfrog-pipelines/http-client');
describe('Test Machine Image Repository', () => {
    it('should fetch images from the rt', async () => {
        const imageResponse = [
            {
                name: 'westus image for x86_64 Ubuntu_22.04',
                provider: 'azureKeys',
                imageId: 'jfrog:pipelines-buildplane:x86_64-ubuntu_22_04:2.7.1:westus',
                region: 'westus',
                architecture: 'x86_64',
                os: 'Ubuntu_22.04',
                metadataPropertyBag: {
                    type: 'published',
                    plan: {
                        name: 'x86_64-ubuntu_22_04',
                        product: 'pipelines-buildplane',
                        publisher: 'jfrog'
                    }
                },
                createdAt: '2023-11-30'
            }
        ];
        const mockHttpGet = jest.spyOn(http_client_1.HttpClient.prototype, 'get');
        mockHttpGet.mockResolvedValue(imageResponse);
        const machineImageRepo = new MachineImageRepository_1.MachineImageRepository();
        const response = await machineImageRepo.getBuildPlaneImages();
        expect(response).toBe(imageResponse);
        expect(http_client_1.HttpClient.prototype.get).toHaveBeenCalledWith('imagebuilds/base-images/buildplaneImages-[RELEASE].json');
    });
});
//# sourceMappingURL=MachineImageRepository.test.js.map