"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiUserDataAdapter = void 0;
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const configuration_1 = require("@jfrog-pipelines/configuration");
class ApiUserDataAdapter {
    constructor() {
        this.properties = configuration_1.ConfigFactory.config;
        this.client = new internal_clients_1.PipelinesClient(11, this.properties.apiToken);
    }
    async getProjectById(id) {
        return this.client.getProjectById(id);
    }
    async getProjectIntegrationById(id) {
        return this.client.projectIntegration(id);
    }
    async getProjectIntegrationsByNames(names, projectId) {
        const query = `names=${names.join(',')}&projectId=${projectId}&include=formJSONValues`;
        return this.client.getProjectIntegrations(query);
    }
    getUnifiedUiAndWwwUrl() {
        return this.client.getUnifiedUiAndWwwUrl();
    }
}
exports.ApiUserDataAdapter = ApiUserDataAdapter;
//# sourceMappingURL=ApiUserDataAdapter.js.map