"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JobCleanupHandler = void 0;
const NodeDomainService_1 = require("../../domain/node/NodeDomainService");
class JobCleanupHandler {
    constructor(command) {
        this.command = command;
        this.nodeDomainService = new NodeDomainService_1.NodeDomainService(undefined);
    }
    async handle() {
        const nodeId = this.command.getNodeId();
        const node = await this.nodeDomainService.getNode(nodeId);
        if (!node) {
            return;
        }
        await this.nodeDomainService.applyJobToDeletedState(node);
    }
}
exports.JobCleanupHandler = JobCleanupHandler;
//# sourceMappingURL=JobCleanupHandler.js.map